Associative property of the dimension,I’m wondering if there is a way to “reassociate” the dimension without moving it.
For example, in the attached screenshots, the dimension is moved downward and then it aimed to re associate it with the object it measures. After the association the dimension is moved toward the object. What I wanted is to re associate the dimension to the object BUT to keep it at its current location.
I created several dimension styles to use in paper space. All of these work perfectly, and accurately if my dimassoc is set a 1. However I wanted these to be associative dimensions. When I change the dimassoc to 2, the associative dimensions aspect of this works, but the dimension text is multiplied by the scale factor for some reason.
For example, the dimensions should read 50' and now read 4800' when was scale factor is at 96 for 1/8" scale. How do I go about setting up my dimstyle to be associative and accurate? Typically I have several different scale viewports on each sheet in paper space, so I need multiple dimension styles.
Is there a way to set associative dimensions to be non-associative without exploding them?
I have a large drawing with a bucket load of dimensions. I did not realise until too late that my dimensions styles were set to be associative by default. Now whenever I alter the drawing such as breaking a polyline that a dimension is associated to the dimension sometimes goes haywire. If I select affected dimensions I can see in the properties window that the dimension is associative but the field is greyed out and I can't alter it.
Is there a global or per-object way to change this association? Exploding is not an option.
s3 = New DimStyleTableRecords3.CopyFrom(vz)s3.Name = nazovtst.Add(s3)_trans.AddNewlyCreatedDBObject(s3, True) _trans.Commit()
Then, in another part of the code, I open the new style and change a property:
Using trans As Transaction = db.TransactionManager.StartTransaction ds = trans.GetObject(ds.ObjectId, OpenMode.ForWrite) ds.Dimtxsty = s2TextStyle.ObjectId trans.Commit() End Using
this works OK for the first time, but when I run the code again, I don't create the new style, I just take the existing one and changing the Dimtxtsty property to the value it already has causes AutoCAD crash
I have custom pull down menus that I use for hatching. The reason I use this method instead of the tool pallet or the regular hatch toolbar is that I have quick access to multiple commonly used hatch patterns already set up with scales and directions and can pick multiple objects at once.
The only problem is I loose the associativity when stretching an object. It's Associative if I use the hatch command or the tool pallet. I had no problem with this method when using AutoCAD 2010. Is there some system variable setting that has changed?
Anyway, one of our cad operators is running into the following error when he opens a particular drawing or when he audits it:
Associative Network Evaluation Error
The object cannot be resolved or value limit has been exceeded.
Inconsistent associative objects may display geometry and grips incorrectly and update in unexpected ways when edited. You can undo to restore the associative object to its previous state.
From what he's described to me, it sounds as if he is building this from several separate files. At some point, things go nutty, and that error develops. When the file is loaded, things are out of position, etc.
No luck in getting that error to vanish. Told him to add the individual parts one at a time, and saving versions as he works so we can, hopefully, find what is breaking everything.
Every time I open this drawing, I get this error message:"Inconsistent associative objects may display geometry and grips incorrectly and update in unespected ways when edited. You can undo to restore the associative object to its previous state."
I wonder if this is the result of one of the xref files from the civil, and what to "undo" to whatever "previous state" will prevent this popup window.
Previous searches on this error have brought up discussion of CIvil 3D grouped objects, but like I said, these are simply files we've referenced into our landscape base.
In Autocad 2013, Is it possible to erase somme items of a rectangular associative array. I have seen that we can replace an object with a different one.
Trick to keeping objects aligned with a helix when using an associative path array? The animation below demonstrates the problem where I can't seem to keep the "treads" on a spiral stairs aligned with the center of the helix. (fewer objects accentuate the problem)
We have been having a problem with our leaders for the last few weeks. We are running Acad2009LT and Acad2009 full versions. Our leaders are becoming non-associative. I made a drawing yesterday and was the only one editing the drawing. I made some leaders with text. I know they were working fine because I had to move some text and the leaders went with it. This morning when I opened the drawing. Some, not all, of the leaders that I made yesterday have become non-associative. I made some new leaders and they are working properly. Other people in the office have been having the same issue. Nothing has changed on our systems. We have been using the same program since 2009.
Dim propertyName1 As String = "Mortise"Dim propertyName2 As String = "Cut Length"customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")Try prop = customPropertySet.Item(propertyName1) prop = customPropertySet.Item(propertyName2)Catch ' Assume error means not found customPropertySet.Add("", propertyName1) customPropertySet.Add("", propertyName2)End Try'output the custom iproperties and update the fileRuleParametersOutput()InventorVb.DocumentUpdate()'set iProperties 'iProperties.Value("Custom", "Mortise") = ""'update fileiLogicVb.UpdateWhenDone = True
This code creates custom iProperties if the iProperty isn't found. I'd like to add another iProperty called "Resaw" with a Yes/No property type. Is there a way of doing this the way I have things started here?
I'm having a problem with 2014 version. Property palette doesn't show the property of any object. It shows blank and same thing with quick select as well.
I'm tasked with setting up a new dwt file to be used along with the Sheet Set Manager.
I've got as far as adding in my own custom properties at both the Sheet Set level (things like project name, site name, etc.), and at the Sheet level (drawing title).
But more specifically, at the Sheet Level, I want to be able to facilitate having a multi-line drawing title. Things start to get a little cloudy.
In order to be able to control where the line breaks are, I've simply created 5 fields (3 for an odd number of lines, 2 for even), and I want to set their Default Value so they don't display anything, i.e. a space or blank of some kind, instead of the four dots. So when I want to add the title I go to the Sheet properties and change the value.
I thought it'd be as simple as adding the ASCII code for a space (U+00A0) into the Default Value, but that seems to display the text U+00A0 instead of the space.
I clicked on Auto Hide in property palette settings, and now can't bring it back. I click on ribbon where is the property icon or type in command line, the property palette doesn't show up.Reinstalling program didn't work either.
I need to update the user defined property values using C# code,I can see information on how to ge the values of UDP but cannot see any information on how to modify, edit, update or add information to the UDP of a point.Basically in the attached image i want to add "Street light" to the Type UDP.
when I draw a shape and add a dimension to it, the text and the numerical and the arrows of the dimension are small, so I have to increase the text height manually
how can I make it automatically scale itself?
also similiar thing with the lines, I tried putting a dashed center line on a shape, it looks solid but when I zoom it it does not.
I’m wondering why I got exclamation mark (!) with the dimensions! I wanted to get rid of them but sounds that there is now way to achieve that. I tried to right click the exclamation mark (!) and choose the “reassociate” but with no effect!
We are having an issue with Dimensioning and the Primary Units not maintaining the correct value. We use metric so the multiplier of 25.4 or .039370079 for Dim Scale Linear would be used in our Dimension Styles depending on if we are drawing in model space or annotating in paper space. We have created specific Dim Styles for Model and Paper space. Every so often some of us will us the Dim Style for paper space and a metric unit would be shown. When we go into the properties of that dimension and change the Dim Scale Linear to 1 it shows as a different dimension then it actually is. After looking at the correct dimenion, we noticed the Dim Scale Linear shows .9449 but gives the correct dimension.
Note: We are drawing in Metric a multiplier of 25.4, our dimensions are done in english. A scale factor of .039370079 is used to accomplish this.
There is a simple fix with Match Properties but it still doesn't answer why our dimension show up wrong with a different multiplier for Dim Scale Linear.
When I am trying to dimension a room in AutoCAD 2014 the dimension looks like a solid rectangle, with no text. I am dring in Architectual mode using the default template.
I used direct-distance entry to place the dimensions 3/8 away from the object lines... needless to say, while most horizontal dimensions are 3/8 away, the vertical and inclined dimensions are not. see attached. other than creating construction geometry and physically moving the endpoints of the arrows to the correct location, is there any way of getting this precise and correct the first time i do it?
I am trying to dimension a line that is not parallel to either they x or y axis. When i try to demsion the line it will only let me dimension the vertical or horizonal component and not the diagonal length. I have included a picture of what I am reffering to.
The dimension arrws are not printed even though it is shown properly in print preview. I though that it was too small to be shown on print but eventually I do not think that this is the case